﻿using UnityEngine;
using System.Collections;

public class LeftSideElevatorMove : MonoBehaviour 
{
	public float speed = 1.0f;
	public string axisName = "Horizontal";
	public GameObject player;
	public GameObject oppositeSide;
	public GameObject crusher;
	public bool stop = true;
	public float timer = 1.0f;
	public bool started = false;
	
	// Use this for initialization
	void Start () 
	{
	}
	
	// Update is called once per frame
	void Update () 
	{
		timer -= Time.deltaTime;
		if(timer <= 0 && !started)
		{
			stop = false;
			started = true;
		}
		if (!stop && started == true)
		{
			transform.position -= transform.right*speed*Time.deltaTime;
		}
		if (player.renderer.bounds.Intersects(crusher.renderer.bounds)) 
		{
			DestroyObject(player);
			Application.LoadLevel("level3");
		}
		if (crusher.renderer.bounds.Intersects(oppositeSide.renderer.bounds)) 
		{
			stop = true;
		}
	}
}
