﻿using UnityEngine;
using System.Collections;

public class NightmareMove : MonoBehaviour 
{
	public float speed = 1.0f;
	public string axisName = "Horizontal";
	public Animator anim;
	public Transform startMove;
	public Transform stopMove;
	public GameObject player;
	public bool stop = false;
	
	// Use this for initialization
	void Start () 
	{
		anim = gameObject.GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(player.transform.position.x >= startMove.transform.position.x && !stop)
		{
			Vector2 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*speed*Time.deltaTime;
		}
		if(player.transform.position.x >= stopMove.transform.position.x)
		{
			stop = true;
		}
		if(transform.position.x >= player.transform.position.x)
		{
			Application.LoadLevel("Beginning");
		}

	}
}
